Subject: Re: [Request] Git export with hardlinks

From: Thomas Koch <[email-masked]>
Date: Sun, 10 Feb 2013 11:33:26 +0100

Jeff King:
> [...]
> So a full checkout is 24M. For the next deploy, we'll start by asking
> "cp" to duplicate the old, using hard links:

Hi Jeff,

thank you very much for your idea! It's good and simple. It just breaks down 
for the case when a large folder got renamed.

But I already hacked the basic layout of the algorithm and it's not 
complicated at all, I believe:

https://github.com/thkoch2001/git_export_hardlinks/blob/master/git_export_hardlinks.py

I had to interrupt work on this and could not yet finish and test it. But I 
thought you might be interested. Maybe something like this might one day be 
rewritten in C and become part of git core?

Regards,

Thomas Koch, http://www.koch.ro